<nav class="navbar navbar-dark bg-dark">
  <div style="text-align: center; margin-left: 10px; font-style:oblique; font-size: large; width: fit-content;" >
    <button class="btn btn-outline" style="color: white; font-size: 17pt;" [routerLink]="['/info/',user?.username]" routerLinkActive="active">Giten-tag</button>
    <input *ngIf="userLoggedIn" type="text" name="search" placeholder="Search other users profiles" (keyup.enter)="onSearchInput($event)" style="background-color: rgb(33,37,41); font-size: 10pt; font-style: italic; color: white; margin-left: 10px;">
  </div>
    <div class="menu-right">
        <div class="row" style="margin-right:10px ;">
            <button class="btn btn-outline col-4" style="color: rgb(154, 164, 207); font-size: 12pt; "  (click)="goToMainPage()" routerLinkActive="active" *ngIf="userLoggedIn">{{"Main page"}} </button>
            <button class="btn btn-outline col-4" style="color: rgb(154, 164, 207); font-size: 12pt; " [routerLink]="['/settings']" routerLinkActive="active" *ngIf="userLoggedIn">{{"Settings"}} </button>
            <button class="btn btn-outline col-4" style="color: rgb(154, 164, 207); font-size: 12pt; " (click)="loginOrLogout()" [routerLink]="['/login']" routerLinkActive="active"> {{userLoggedIn  ? "Log out" : "Log in"}} </button>
        </div>
    </div> 
  </nav>

  